<!DOCTYPE html>
<html>
   <head>
      <title></title>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
      <meta http-equiv="x-ua-compatible" content="ie=edge">
      <title>Ecommerce Management</title>
      <link rel="stylesheet" type="text/css" href="https://mdbootstrap.com/wp-content/themes/mdbootstrap4/css/compiled.min.css?ver=4.4.0">
      <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
      <style type="text/css">
         /*kenburns */
         // CSS Needed to make it work (Wrote not using SCSS at all copy and paste away)
         // copy and paste into your CSS and the cursor should appear when typing begins
         .text-js{
         opacity: 0;
         }
         .cursor{
         display: none;
         position: absolute;
         height: 100%;
         top: 0;
         right: -5px;
         width: 2px;
         /* Change colour of Cursor Here */
         background-color: white;
         z-index: 1;
         animation: flash 0.9s  infinite alternate;
         }
         @keyframes flash{
         0%{
         opacity: 1;
         }
         100%{
         opacity: 0;
         }
         }
         html, body { height:100%; margin:0; padding:0; font:16px/1.75 Verdana }
         /* adapted from http://cssmojo.com/ken-burns-effect/ */
         #slideshow { position:relative; overflow:hidden; width:100%; height:100% } /* change width and height to suit */
         #slideshow div { position:absolute; z-index:2; width:105%; height:105%; top:-5%; left:-5%; background-position:center; background-repeat:no-repeat; background-size:cover; opacity:0;
         -webkit-transition:opacity 3s, -webkit-transform 8s; -ms-transition:opacity 3s, -ms-transform 8s; transition:opacity 3s, transform 8s 
         }
         #slideshow div { -webkit-transform-origin:bottom left; -ms-transform-origin:bottom left; transform-origin:bottom left }
         #slideshow :nth-child(2n+1) { -webkit-transform-origin:top right; -ms-transform-origin:top right; transform-origin:top right }
         #slideshow :nth-child(3n+1) { -webkit-transform-origin:top left; -ms-transform-origin:top left; transform-origin:top left }
         #slideshow :nth-child(4n+1) { -webkit-transform-origin:bottom right; -ms-transform-origin:bottom right; transform-origin:bottom right }
         #slideshow .fx:first-child + div ~ div, #slideshow .fx1 { z-index:1 }
         #slideshow .fx, #slideshow .fx1 { -webkit-transform:scale(1.35) translate(2.5%); -ms-transform:scale(1.35) translate(2.5%); transform:scale(1.35) translate(2.5%); opacity:1 }
         #slideshow :nth-child(1) { background-image:url(https://images.pexels.com/photos/6335/man-coffee-cup-pen.jpg?w=1260&h=750&auto=compress&cs=tinysrgb) }
         #slideshow :nth-child(2) { background-image:url(https://images.pexels.com/photos/230544/pexels-photo-230544.jpeg?w=1260&h=750&auto=compress&cs=tinysrgb) }
         #slideshow :nth-child(3) { background-image:url(https://images.pexels.com/photos/270669/pexels-photo-270669.jpeg?w=1260&h=750&auto=compress&cs=tinysrgb) }
         #slideshow :nth-child(4) { background-image:url(https://images.pexels.com/photos/34577/pexels-photo.jpg?w=1260&h=750&auto=compress&cs=tinysrgb) }
         #slideshow {
         position: relative;
         overflow: hidden;
         width: 100%;
         height: 100%;
         z-index: 0;
         }
         div#overlaying {
         position: absolute;
         background-color: rgba(0, 0, 0, 0.86);
         z-index: 1;
         width: 100%;
         height: 100%;
         top: 0;
         }
         #overlay
         {
         background-color: #00c851ad;
         }
      </style>
   </head>
   <body>
      <!--Main Navigation-->
      <div id="slideshow" >
         <!-- define each background-image in CSS -->
         <div></div>
         <!-- #slideshow :nth-child(1) -->
         <div></div>
         <!-- #slideshow :nth-child(2) -->
         <div></div>
         <!-- #slideshow :nth-child(3) -->
         <div></div>
         <!-- #slideshow :nth-child(4) -->
      </div>
      <div id="overlaying" >
      </div>
      <!--Main Layout-->
      <!-- SCRIPTS -->
      <!-- JQuery -->
      <script type="text/javascript" src="https://mdbootstrap.com/previews/docs/latest/js/compiled.min.js"></script>
      <script type="text/javascript" src="https://mdbootstrap.com/previews/docs/latest/js/jarallax.js"></script>
      <script type="text/javascript" src="https://mdbootstrap.com/previews/docs/latest/js/jarallax-video.js"></script>
      <script type="text/javascript">
         // DISCLAIMER: This function does require jQuery. I've used it here because the project I'm building this for already uses jQuery, so I thought why not. It can be modified quite simply to be done in raw JavaScript.  Just thought I'd let you know.
         
         function kbSlideshow() { // set .fx1 class on 1st img on page load
             window.setInterval(kenBurns, 7000); // calls kenBurns() function every 4 secs
             var images = document.getElementById('slideshow').getElementsByTagName('div'),
                 numberOfImages = images.length, i = 1; // track loop - 1 (not 0) as 1st img is styled on page load
             images[0].className = "fx1"; // style 1st img on page load
             function kenBurns() {
                 if (i==numberOfImages) { i = 0; }
                     images[i].className = "fx"; // set .fx class on each img
                 // clean up one before last to avoid bounce effect - can't remove .fx from previous
                     if (i===0) { images[numberOfImages-2].className = ""; }
                     if (i===1) { images[numberOfImages-1].className = ""; }
                     if (i>1) { images[i-2].className = ""; }
                     i++;
                 }
             }
         setTimeout(kbSlideshow, 1); // short delay so CSS transforms work on 1st img
         
         
         // This is the funtion you need to copy
         // Copy from line 9 to 34
         
         function autoType(elementClass, typingSpeed){
           var thhis = $(elementClass);
           thhis.css({
             "position": "relative",
             "display": "inline-block"
           });
           thhis.prepend('<div class="cursor" style="right: initial; left:0;"></div>');
           thhis = thhis.find(".text-js");
           var text = thhis.text().trim().split('');
           var amntOfChars = text.length;
           var newString = "";
           thhis.text("|");
           setTimeout(function(){
             thhis.css("opacity",1);
             thhis.prev().removeAttr("style");
             thhis.text("");
             for(var i = 0; i < amntOfChars; i++){
               (function(i,char){
                 setTimeout(function() {        
                   newString += char;
                   thhis.text(newString);
                 },i*typingSpeed);
               })(i+1,text[i]);
             }
           },1500);
         }
         
         $(document).ready(function(){
           // Now to start autoTyping just call the autoType function with the 
           // class of outer div
           // The second paramter is the speed between each letter is typed.   
           autoType(".type-js",200);
         });
         
         
         
         
      </script>
   </body>
</html>